Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.async
Class SendingNotificationByebye

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.async.SendingNotification
              org.teleal.cling.protocol.async.SendingNotificationByebye

All Implemented Interfaces:
  Runnable

    public class SendingNotificationByebye

extends SendingNotification

Field Summary

Fields inherited from class org.teleal.cling.protocol.async.SendingNotification
`log`

Constructor Summary
`SendingNotificationByebye(UpnpService upnpService, LocalDevice device)`

Method Summary
`protected void` | `execute()`
`protected NotificationSubtype` | `getNotificationSubtype()`

Methods inherited from class org.teleal.cling.protocol.async.SendingNotification
`createDeviceMessages, createServiceTypeMessages, getBulkIntervalMilliseconds, getBulkRepeat, getDescriptorLocator, getDevice, sendMessages`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getDestinationAddress, getDestinationPort, getUpnpService, run, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendingNotificationByebye

    public SendingNotificationByebye(UpnpService upnpService,
                                     LocalDevice device)

Method Detail

### execute

    protected void execute()

  Overrides:
    `execute` in class `SendingNotification`

### getNotificationSubtype

    protected NotificationSubtype getNotificationSubtype()

  Specified by:
    `getNotificationSubtype` in class `SendingNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.